Skip to main content
`Ctrl`+`K`

# PCMGSetNumberSmooth

Sets the number of pre and post-smoothing steps to use on all levels. Use `PCMGDistinctSmoothUp()` to create separate up and down smoothers if you want different numbers of pre- and post-smoothing steps.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetNumberSmooth(PC pc, PetscInt n)

Logically Collective

## Input Parameters

- pc - the multigrid context

- n - the number of smoothing steps

## Options Database Key

- -mg_levels_ksp_max_it n - Sets number of pre and post-smoothing steps

## Note

This does not set a value on the coarsest grid, since we assume that there is no separate smooth up on the coarsest grid.

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGSetDistinctSmoothUp()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mg.c

## Examples

src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages